pub mod bms;
pub mod emu;
pub mod pcs;

pub type Producer = tokio::sync::mpsc::Sender<String>;
pub type Consumer = tokio::sync::broadcast::Receiver<String>;
#[async_trait::async_trait]
pub trait Service: Send + Sync {
    async fn serve(&mut self);
}
