use crate::internal::utils;
use log::info;

pub struct Bms {
    pub id: String,
}

impl Bms {
    /// 初始化BMS
    pub async fn new() -> Self {
        let id = utils::generate_random_str(12);
        utils::log::init_log("inpower_iot_mgc_rs::ems::bms::*", "logs/bms.log").await;
        info!("BMS [{}] 初始化成功", id);
        Bms { id }
    }
}
