use rand::distr::Alphanumeric;
use rand::{rng, Rng};

pub mod log;

pub fn generate_random_str(len: usize) -> String {
    rng()
        .sample_iter(&Alphanumeric) // 随机从 Alphanumeric（字母和数字）中取样
        .take(len) // 取前 len 个字符
        .map(char::from) // 将 u8 转换为 char
        .collect() // 收集为一个字符串
}
